Começando
Autenticação e autorização
Utilizando o padrão OAuth 2, o usuário do ERP poderá permitir acesso à conta para sua aplicação.
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Utilizando o padrão OAuth 2, o usuário do ERP poderá permitir acesso à conta para sua aplicação.
https://accounts.tiny.com.br/realms/tiny/protocol/openid-connect/auth?client_id=CLIENT_ID&redirect_uri=REDIRECT_URI&scope=openid&response_type=code
curl --location 'https://accounts.tiny.com.br/realms/tiny/protocol/openid-connect/token' \\
--header 'Content-Type: application/x-www-form-urlencoded' \\
--data-urlencode 'grant_type=authorization_code' \\
--data-urlencode 'client_id=CLIENT_ID' \\
--data-urlencode 'client_secret=CLIENT_SECRET' \\
--data-urlencode 'redirect_uri=REDIRECT_URI' \\
--data-urlencode 'code=AUTHORIZATION_CODE'
Authorization: Bearer {access_token}
curl --location 'https://accounts.tiny.com.br/realms/tiny/protocol/openid-connect/token' \\
--header 'Content-Type: application/x-www-form-urlencoded' \\
--data-urlencode 'grant_type=refresh_token' \\
--data-urlencode 'client_id=CLIENT_ID' \\
--data-urlencode 'client_secret=CLIENT_SECRET' \\
--data-urlencode 'refresh_token=REFRESH_TOKEN'
